For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get QR

Get merchant QRIS string.

/qr/create-invoice/

Method: POST Max Expected Response Time: 60 seconds

Header

Key
Value
Mandatory

Accept

application/json

Yes

Authorization

Bearer

Yes

Request Body

Field
Type
Mandatory
Description

merchant_id

string

Yes

Merchant ID

note

string

Yes

Invoice note

Response Body

Field
Type
Description

qr

string

QRIS string

nmid

string

Merchant NMID

terminal_id

string

Terminal ID

date_time

datetime

QR creation time

message

string

Response message

Get QR

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
merchant_idstringRequired
notestringRequired
Responses
200Success
application/json
qrstringRequired
nmidstringRequired
terminal_idstringRequired
date_timestringRequired
rcstringRequired
messagestringRequired
post/qr/create-invoice/
POST /qr/create-invoice/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 40

{
  "merchant_id": "FM2007160001",
  "note": ""
}
200Success
{
  "qr": "00020101021126620013ID.FINPAY.WWW01189360077732110190010212FM21101900010303UMI51440014ID.CO.QRIS.WWW0215ID10211145041650303UMI5204599253033605802ID5916toko bunga wangi6006BEKASI61051742562070703A016304BE55",
  "nmid": "ID1021114504165",
  "terminal_id": "A01",
  "date_time": "2025-07-03 14:44:35",
  "rc": "00",
  "message": "Success"
}

Last updated